Skip to content
Ona Docs

DeleteService

POST/gitpod.v1.EnvironmentAutomationService/DeleteService

Deletes an automation service. This call does not block until the service is deleted. If the service is not stopped it will be stopped before deletion.

Use this method to:

  • Remove unused services
  • Clean up service configurations
  • Stop and delete services

Examples

  • Delete service:

    Removes a service after stopping it.

    id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    force: false
  • Force delete:

    Immediately removes a service.

    id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    force: true
Body ParametersJSONExpand Collapse
id: optional string
formatuuid
force: optional boolean

DeleteService

curl https://app.gitpod.io/api/gitpod.v1.EnvironmentAutomationService/DeleteService \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}